Bug 40402 - [softpipe] piglit fbo-srgb-blit fails
Summary: [softpipe] piglit fbo-srgb-blit fails
Status: CLOSED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: git
Hardware: x86 (IA32) All
: medium normal
Assignee: Brian Paul
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-26 11:38 UTC by Vinson Lee
Modified: 2011-09-26 18:16 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
fbo-srgb-blit.png (3.78 KB, image/png)
2011-08-26 11:38 UTC, Vinson Lee
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2011-08-26 11:38:49 UTC
Created attachment 50591 [details]
fbo-srgb-blit.png

mesa: 3bcb9a858f482c21bc7c4d0fcd3571e25ea95090 (master)

piglit fbo-srgb-blit fails on softpipe. The test passes with swrast and llvmpipe.

The failure is not a regression. It also fails on these branches.
mesa: 6c1a9a327d031cd46680f28de8636b9335847650 (7.11)
mesa: 7c3cf50d9988d721e79277180e29aaf6afa40be5 (7.10)
mesa: 5078cb68586a52e2a2a991c6e89ed42e8bac7d96 (7.9)

$ ./bin/fbo-srgb-blit
Probe at (80,96)
  Expected: 0.110000 0.160000 0.210000
  Observed: 0.011765 0.023529 0.035294
Comment 1 Brian Paul 2011-09-16 06:40:07 UTC
Fixed w/ Mesa commit 81c688babe6d2539d580429c3bfdc5fc1729ab0d
Comment 2 Vinson Lee 2011-09-26 18:16:19 UTC
mesa: 39790b6450b770cd402bc08b9416cab67de3dedb (master)

Verified fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.